Bug 216526 - dns/ddclient depends on deprecated port converters/p5-JSON-Any
Summary: dns/ddclient depends on deprecated port converters/p5-JSON-Any
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Kirill Ponomarev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-27 11:57 UTC by Eric Rucker
Modified: 2017-02-10 09:15 UTC (History)
3 users (show)

See Also:


Attachments
replace JSON::Any with JSON::PP (3.69 KB, patch)
2017-02-07 22:10 UTC, mjl
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Rucker 2017-01-27 11:57:59 UTC
p5-JSON-Any expires on 2017-03-01, and ddclient depends on it. I'm guessing it's really upstream that would need to fix it, but it is something that'll affect the port.
Comment 1 mjl 2017-02-07 22:10:09 UTC
Created attachment 179730 [details]
replace JSON::Any with JSON::PP

This patch replaces JSON::Any with JSON:PP and is based on

https://github.com/wimpunk/ddclient/pull/48/files
Comment 2 mjl 2017-02-07 22:11:09 UTC
BTW I'm the port maintainer so please consider this patch to be maintainer-approved.
Comment 3 commit-hook freebsd_committer 2017-02-10 09:14:40 UTC
A commit references this bug:

Author: krion
Date: Fri Feb 10 09:13:42 UTC 2017
New revision: 433788
URL: https://svnweb.freebsd.org/changeset/ports/433788

Log:
  Fix stale dependencies.

  PR:		216526
  Submitted by:	bhtooefr@gmail.com
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9488

Changes:
  head/dns/ddclient/Makefile
  head/dns/ddclient/files/patch-ddclient